# Polardiagramm der zeitlich gemittelten Abstrahlung
# Dorian Weber

reset
set encoding iso_8859_1
set terminal postscript eps enhanced color 20
set output "../P80_intensity.eps"

set parametric
set urange [0:pi]
set vrange [0:1.5*pi]
set view 68, 45, 3.0
set isosamples 40, 40
set hidden3d
set noxtics
set noytics
set noztics
set nokey
set ticslevel 0
set size square

# Stildefinitionen

# Koordinatenkreuz
set style line 1 lt 1 lc rgb "dark-blue"

# Gre der "Platte" auf die abgestrahlt wird
angSize = 1.5*pi / 40

# Strke des Dipols
strength = 100

# das unbestimmte Integral der zeitlich gemittelten Intensitt ohne die Konstanten ist:
# 1/3 * phi * (-3 + cos^2(theta)) * cos(theta)

set xrange[-5:5]
set yrange[-5:5]
set zrange[-5:5]

set xyplane at 0
set border 0
set xzeroaxis ls 1
set yzeroaxis ls 1
set zzeroaxis ls 1

# Polarkoordinaten sind hier sinnvoll
polarTrafoX(phi, theta) = sin(phi) * cos(theta)
polarTrafoY(phi, theta) = sin(phi) * sin(theta)
polarTrafoZ(phi, theta) = cos(phi)

intensity(u, v, delta) = delta * ((-3 + cos(u)**2) * cos(u) - (-3 + cos(u-delta)**2) * cos(u-delta))

splot polarTrafoX(u,v) * strength * intensity(u,v,angSize),\
      polarTrafoY(u,v) * strength * intensity(u,v,angSize),\
      polarTrafoZ(u,v) * strength * intensity(u,v,angSize)
